#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

package Opsview::HostHosttemplate;
use base 'Opsview';

use strict;

__PACKAGE__->table("hosthosttemplates");

__PACKAGE__->columns( Primary   => qw/hostid hosttemplateid/ );
__PACKAGE__->columns( Essential => qw/priority/ );

__PACKAGE__->has_a( hostid         => 'Opsview::Host' );
__PACKAGE__->has_a( hosttemplateid => 'Opsview::Hosttemplate' );

__PACKAGE__->default_search_attributes( { order_by => "priority" } );

1;
