package Opsview::Schema::RolesMonitoringservers;

use strict;
use warnings;

use base 'Opsview::DBIx::Class';

__PACKAGE__->load_components( "+Opsview::DBIx::Class::Common", "Core" );
__PACKAGE__->table("opsview.roles_monitoringservers");
__PACKAGE__->add_columns( "roleid", { data_type => "INT", default_value => undef, is_nullable => 0, size => 11 }, "monitoringserverid", { data_type => "INT", default_value => undef, is_nullable => 0, size => 11 }, );
__PACKAGE__->set_primary_key( "roleid", "monitoringserverid" );
__PACKAGE__->belongs_to( "roleid",             "Opsview::Schema::Roles",             { id => "roleid" } );
__PACKAGE__->belongs_to( "monitoringserverid", "Opsview::Schema::Monitoringservers", { id => "monitoringserverid" } );

# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

1;
